require "tmc/version"

module Tmc
  # Your code goes here...


  class Tmc

    def initialize
      Dir.glob('lib/tmc/commands/*.rb').each do |command|
        register(command)
      end
    end

    def register(command)
      require command.gsub("lib/", "")
    end

    def do_it(args)
      const = ::Tmc::Commands.constants
      command = args.shift.to_sym
      cmd = const.find { |c| c.downcase == command }
      if cmd
        real_command = ::Tmc::Commands.const_get cmd
        real_command = real_command.const_get cmd
        real_command.new.do_it(args)
      else
        puts "Cannot find command: #{command} with parameters #{args.join(", ")}"
        exit 1
      end
    end
  end
end
